cUrl
curl --location --request DELETE 'https://api.catalogix.ai/v1/products?sku_codes=code&store_uuid=67762d4ce590324df813bd8c' \
--header 'Authorization: Bearer YOUR_TOKEN'import requests
url = "https://api.catalogix.ai/v1/products?sku_codes=code&store_uuid=67762d4ce590324df813bd8c"
payload={}
headers = {
'Authorization': 'Bearer YOUR_TOKEN'
}
response = requests.request("DELETE", url, headers=headers, data=payload)
print(response.text)var myHeaders = new Headers();
myHeaders.append("Authorization", "Bearer YOUR_TOKEN");
var requestOptions = {
method: 'DELETE',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.catalogix.ai/v1/products?sku_codes=code&store_uuid=67762d4ce590324df813bd8c", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));
{
"status": {
"code": 0,
"message": "success"
}
}{
"detail": "<string>",
"status": "error"
}{
"status": {
"code": -1,
"message": "Unauthorized – invalid or missing Bearer token"
}
}{
"detail": "<string>",
"status": "error"
}{
"status": {
"code": -1,
"message": "Internal server error. Please contact support@catalogix.ai"
}
}Product APIs
Delete Product
Delete product data
DELETE
/
products
cUrl
curl --location --request DELETE 'https://api.catalogix.ai/v1/products?sku_codes=code&store_uuid=67762d4ce590324df813bd8c' \
--header 'Authorization: Bearer YOUR_TOKEN'import requests
url = "https://api.catalogix.ai/v1/products?sku_codes=code&store_uuid=67762d4ce590324df813bd8c"
payload={}
headers = {
'Authorization': 'Bearer YOUR_TOKEN'
}
response = requests.request("DELETE", url, headers=headers, data=payload)
print(response.text)var myHeaders = new Headers();
myHeaders.append("Authorization", "Bearer YOUR_TOKEN");
var requestOptions = {
method: 'DELETE',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.catalogix.ai/v1/products?sku_codes=code&store_uuid=67762d4ce590324df813bd8c", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));
{
"status": {
"code": 0,
"message": "success"
}
}{
"detail": "<string>",
"status": "error"
}{
"status": {
"code": -1,
"message": "Unauthorized – invalid or missing Bearer token"
}
}{
"detail": "<string>",
"status": "error"
}{
"status": {
"code": -1,
"message": "Internal server error. Please contact support@catalogix.ai"
}
}Authorizations
Pass the API token as a Bearer token in the Authorization header.
Headers
Optional trace ID. If not provided, one is generated automatically
Query Parameters
List of SKU Codes needs to be deleted
Response
Data deletion successful
⌘I